# OSGeo::FDO::Common::Xml::XmlReader Class Reference
[OSGeo::FDO::Common::Xml]

Inheritance diagram for OSGeo::FDO::Common::Xml::XmlReader:

[legend]

List of all members.

## Detailed Description

XmlReader reads an XML document from a text or binary stream. As various document fragments are read, it calls the appropriate SAX Handler callback on the current SAX Handler. This object maintains a stack of SAX Handlers, with the current one being the top handler in the stack. Callers provide this object with SAX Handlers to customize the processing of the XML document. SAXHandler callbacks also provide a means to push other handlers onto the stack. For example, a SAX Handler for a particular XML element might push another handler to read a particular sub-element.

()

## Public Member Functions
System::String * | DecodeName (System::String *name)
| Utility function that is typically called for element names or name type attributes that were adjusted when they were written to XML. FDO names that correspond to XML names, but aren't valid XML names, are adjusted. This function undoes the name adjustment.
__property System::Boolean | get_EOD ()
| Indicates whether the end of the XML document has been reached.
__property DictionaryElementCollection * | get_Namespaces ()
| Returns all of the XML namespace declarations that are currently in-scope for the current position in the XML document being read.
__property OSGeo::FDO::Common::Io::IoStream * | get_Stream ()
| Gets the underlying stream. If a text reader was passed to this object then the stream for this text reader is returned. If a stream was passed to this object then this stream is returned. If a file name as passed then a auto-generated stream (wrapped around the file) is returned.
__property OSGeo::FDO::Common::Io::IoTextReader * | get_TextReader ()
| Gets the underlying text reader. If a text reader was passed to this object then this text reader is returned. Otherwise, an auto-generated text reader is returned (a text reader wrapped around the file name or stream that was passed to this object).
System::Boolean | Parse (OSGeo::FDO::Common::Xml::IXmlSaxHandler *saxHandler, OSGeo::FDO::Common::Xml::XmlSaxContext *saxContext, System::Boolean incremental)
| Parses the XML document.
System::Boolean | Parse (OSGeo::FDO::Common::Xml::IXmlSaxHandler *saxHandler, OSGeo::FDO::Common::Xml::XmlSaxContext *saxContext)
| Parses the XML document.
System::Boolean | Parse (OSGeo::FDO::Common::Xml::IXmlSaxHandler *saxHandler)
| Parses the XML document.
System::Boolean | Parse ()
| Parses the XML document.
System::String * | PrefixToUri (System::String *prefix)
| Gets the URI for a namespace prefix.
| XmlReader (OSGeo::FDO::Common::Io::IoTextReader *reader)
| Constructs an XML reader on a text reader.
| XmlReader (OSGeo::FDO::Common::Io::IoStream *stream)
| Constructs an XML reader on a stream.
| XmlReader (System::String *fileName)
| Constructs an XML reader on a file.